%global srcname stun

%global fast_tls_ver 1.1.10
%global p1_utils_ver 1.0.21


Name: erlang-%{srcname}
Version: 1.2.4
Release: %mkrel 2
BuildArch: noarch
Group:   Development/Erlang
License: ASL 2.0
Summary: STUN and TURN library for Erlang / Elixir
URL:     https://github.com/processone/stun/
Source0: https://github.com/processone/stun/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:  erlang-p1_stun = %{version}-%{release}
Obsoletes: erlang-p1_stun < 1.0.7-3

BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-fast_tls >= %{fast_tls_ver}
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}

Requires: erlang-fast_tls >= %{fast_tls_ver}
Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
STUN and TURN library for Erlang / Elixir. Both STUN (Session Traversal
Utilities for NAT) and TURN standards are used as techniques to establish media
connection between peers for VoIP (for example using SIP or Jingle) and WebRTC.


%prep
%autosetup -p1 -n stun-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}


##check
#{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.2.4-2.mga10
+ Revision: 2214990
- Mageia 10 Mass Rebuild

* Mon Aug 08 2022 neoclust <neoclust> 1.2.4-1.mga9
+ Revision: 1876075
- New version 1.2.4

* Tue Aug 02 2022 neoclust <neoclust> 1.2.2-1.mga9
+ Revision: 1874640
- New version 1.2.2

* Tue Apr 05 2022 umeabot <umeabot> 1.0.47-2.mga9
+ Revision: 1844787
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 1.0.47-1.mga9
+ Revision: 1772740
- New version 1.0.47

* Sun Dec 20 2020 neoclust <neoclust> 1.0.40-1.mga8
+ Revision: 1661942
- New version 1.0.40

* Sun Dec 20 2020 wally <wally> 1.0.37-1.mga8
+ Revision: 1661641
- new version 1.0.37
- make pkg noarch

* Wed Feb 12 2020 umeabot <umeabot> 1.0.23-3.mga8
+ Revision: 1511371
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 1.0.23-2.mga7
+ Revision: 1296378
- update erlang-p1_stun obsoletes
- revert noarch change
- new version 1.0.23 (sync with Fedora)
- noarch build

* Thu Nov 17 2016 neoclust <neoclust> 1.0.7-1.mga6
+ Revision: 1068008
- imported package erlang-stun

